Bug 37453 - Auto-generate V8 bindings for Canvas.* overloads
Summary: Auto-generate V8 bindings for Canvas.* overloads
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 37373
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-12 10:53 PDT by Yaar Schnitman
Modified: 2010-04-19 11:18 PDT (History)
10 users (show)

See Also:


Attachments
Patch (23.99 KB, patch)
2010-04-12 11:09 PDT, Yaar Schnitman
no flags Details | Formatted Diff | Diff
Patch (27.01 KB, patch)
2010-04-15 17:00 PDT, Yaar Schnitman
no flags Details | Formatted Diff | Diff
Patch (29.69 KB, patch)
2010-04-16 10:49 PDT, Yaar Schnitman
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yaar Schnitman 2010-04-12 10:53:32 PDT
Auto-generate V8 bindings for Canvas.* overloads
Comment 1 Yaar Schnitman 2010-04-12 11:09:33 PDT
Created attachment 53178 [details]
Patch
Comment 2 Eric Seidel (no email) 2010-04-12 11:14:54 PDT
Attachment 53178 [details] did not build on mac:
Build output: http://webkit-commit-queue.appspot.com/results/1586398
Comment 3 Early Warning System Bot 2010-04-12 11:19:37 PDT
Attachment 53178 [details] did not build on qt:
Build output: http://webkit-commit-queue.appspot.com/results/1669299
Comment 4 WebKit Review Bot 2010-04-12 11:30:59 PDT
Attachment 53178 [details] did not build on chromium:
Build output: http://webkit-commit-queue.appspot.com/results/1692152
Comment 5 WebKit Review Bot 2010-04-12 11:42:29 PDT
Attachment 53178 [details] did not build on gtk:
Build output: http://webkit-commit-queue.appspot.com/results/1610428
Comment 6 Yaar Schnitman 2010-04-15 17:00:09 PDT
Created attachment 53490 [details]
Patch
Comment 7 WebKit Review Bot 2010-04-15 17:01:16 PDT
Attachment 53490 [details] did not pass style-queue:

Failed to run "WebKitTools/Scripts/check-webkit-style" exit_code: 1
WebCore/bindings/v8/test/V8TestObj.cpp:308:  An else if statement should be written as an if statement when the prior "if" concludes with a return, break, continue or goto statement.  [readability/control_flow] [4]
Total errors found: 1 in 7 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 8 WebKit Review Bot 2010-04-15 17:05:53 PDT
Attachment 53490 [details] did not build on gtk:
Build output: http://webkit-commit-queue.appspot.com/results/1651436
Comment 9 Eric Seidel (no email) 2010-04-15 17:07:36 PDT
Attachment 53490 [details] did not build on mac:
Build output: http://webkit-commit-queue.appspot.com/results/1650421
Comment 10 Early Warning System Bot 2010-04-15 17:08:51 PDT
Attachment 53490 [details] did not build on qt:
Build output: http://webkit-commit-queue.appspot.com/results/1686275
Comment 11 Yaar Schnitman 2010-04-16 10:49:07 PDT
Created attachment 53537 [details]
Patch
Comment 12 Yaar Schnitman 2010-04-16 10:49:58 PDT
Comment on attachment 53537 [details]
Patch

Its working! Please cq+ if ok.
Comment 13 WebKit Review Bot 2010-04-16 10:54:24 PDT
Attachment 53537 [details] did not pass style-queue:

Failed to run "WebKitTools/Scripts/check-webkit-style" exit_code: 1
WebCore/bindings/v8/test/V8TestObj.cpp:308:  An else if statement should be written as an if statement when the prior "if" concludes with a return, break, continue or goto statement.  [readability/control_flow] [4]
WebCore/bindings/v8/test/V8TestObj.cpp:436:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Total errors found: 2 in 7 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 14 Adam Barth 2010-04-17 13:26:16 PDT
Comment on attachment 53537 [details]
Patch

Woah!  This change is awesome.
Comment 15 WebKit Commit Bot 2010-04-17 13:43:39 PDT
Comment on attachment 53537 [details]
Patch

Clearing flags on attachment: 53537

Committed r57787: <http://trac.webkit.org/changeset/57787>
Comment 16 WebKit Commit Bot 2010-04-17 13:43:45 PDT
All reviewed patches have been landed.  Closing bug.
Comment 17 Eric Seidel (no email) 2010-04-17 14:05:37 PDT
OMG.  How does JSC get this too? :)
Comment 18 Yaar Schnitman 2010-04-19 11:18:45 PDT
(In reply to comment #17)
> OMG.  How does JSC get this too? :)

I'm still ironing out the quirks of the V8 overloads generation by testing it on more use cases (e.g. WebGL). Once done, I'll implement also in JSC.